# 字符对齐以及去除空白字符

str = ["望庐山瀑布",
       "李白",
       "日照香炉生紫烟",
       "遥看瀑布挂前川",
       "飞流直下三千尺",
       "疑是银河落九天"
       ]

str_t = ["\t\n\t\n\t\n\t\n\t\n\t\n望庐山瀑布",
         "李白",
         "日照香炉生紫烟\t\n",
         "遥看瀑布挂前川",
         "飞流直下三千尺",
         "疑是银河落九天"
         ]


def str_test1():
    # 1.返回一个原字符串左对齐,并使用空格填充至长度width的新字符串
    for x in str:
        # print(x.ljust(10, ' '))
        print("|%s|" % x.ljust(10, ' '))
    print("—————————————————")

    # 2.返回一个原字符串右对齐,并使用空格填充至长度width的新字符串
    for x in str:
        print("|%s|" % x.rjust(10, ' '))
    print("—————————————————")

    # 3.返回一个原字符串居中,并使用空格填充至长度width的新字符串
    for x in str:
        print("|%s|" % x.center(10, ' '))
    print("—————————————————")

    # 4.截掉字符串左右两边的空白字符
    for y in str_t:
        # print("|%s|" % y.center(10,' '))   # 处理前
        print("|%s|" % y.strip().center(10, ' '))  # 处理后
    print("—————————————————")

    # 5.截掉字符串左边(开始)的空白字符
    for y in str_t:
        print("|%s|" % y.lstrip().center(10, ' '))
    print("—————————————————")

    # 6. 截掉字符串右边(结尾)的空白字符
    for y in str_t:
        print("|%s|" % y.rstrip().center(10, ' '))
    print("—————————————————")


str_test1()
