"""
1.设计一个game类
2.属性
定义一个类属性top_score 记录游戏的历史最高分
定义一个实例属性player_name 记录当前游戏的玩家名字
3.方法
静态方法 show_help 显示游戏帮助信息
类方法 show_top_score 显示历史最高分
实例方法  start_game 开始当前玩家的游戏
"""


class Game(object):
    top_score = 0

    def __init__(self, player_name):
        self.player_name = player_name

    @staticmethod
    def show_help():
        print('游戏帮助信息显示')

    @classmethod
    def show_top_score(cls):
        print('历史最高分为%d' % cls.top_score)

    def start_game(self):
        print('%s开始游戏' % self.player_name)


#  输出游戏帮助信息
Game.show_help()

#  输出历史最高分
Game.show_top_score()

#  开始游戏
game = Game('小明')
game.start_game()
